<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Model_menu extends CI_Model
{

    public $table = 'ms_menu';
    public $id = 'id_inc';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('id_inc', $q);
	$this->db->or_like('nama_menu', $q);
	$this->db->or_like('link_menu', $q);
	$this->db->or_like('parent', $q);
	$this->db->or_like('sort', $q);
	$this->db->or_like('icon', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('id_inc', $q);
	$this->db->or_like('nama_menu', $q);
	$this->db->or_like('link_menu', $q);
	$this->db->or_like('parent', $q);
	$this->db->or_like('sort', $q);
	$this->db->or_like('icon', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
       return  $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        return   $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->delete($this->table);
    }

    function get_parent(){
        /*$this->db->select('id_inc,nama_menu');
        $this->db->where('parent','0');
        $this->db->order_by('sort','asc');
        return $this->db->get('ms_menu')->result();*/   
        return $this->db->query("SELECT 0 id_inc , 'Parent' nama_menu
                                UNION
                                SELECT * FROM (SELECT id_inc,nama_menu
                                FROM ms_menu
                                WHERE parent=0
                                ORDER BY sort ASC) asd")->result();

    }

}

/* End of file Model_menu.php */
/* Location: ./application/models/Model_menu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2019-07-07 04:06:07 */
/* http://harviacode.com */